Summary:        The build backend used by PDM that supports latest packaging standards
Name:           python-pdm-backend
Version:        2.1.6
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/pdm-project/pdm-backend
Source0:         %{pypi_source pdm_backend}
Patch3000:       unbundle-vendored-deps.patch

BuildArch:      noarch
BuildRequires: python3-editables python3-pytest python3-setuptools
BuildRequires: python3-devel python3-packaging python3-tomli-w python3-pyproject-metadata gcc git-core


%description
The build backend used by PDM that supports latest packaging standards.

%package -n     python3-pdm-backend
Summary:        %{summary}
Requires:       python3-packaging
Requires:       python3-tomli-w
Requires:       python3-pyproject-metadata

%description -n python3-pdm-backend
The build backend used by PDM that supports latest packaging standards.


%prep
%autosetup -p1 -n pdm_backend-%{version}
rm -rv src/pdm/backend/_vendor


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pdm


%check
%pytest


%files -n python3-pdm-backend -f %{pyproject_files}
%license LICENSE
%doc README.md
%{python3_sitelib}/*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.6-2
- Rebuilt for loongarch release

* Mon Oct 09 2023 cunshunxia <cunshunxia@tencent.com> - 2.1.6-1
- initial build
